import API from './api.js'
import RelationCollection from './relation-collection.js'
import Base from './base.js'
import generator from './generator.js'


const activeAngular = angular.module('active-angular', [])

activeAngular
  .provider('API', API)
  .factory('RelationCollection', RelationCollection)
  .factory('Base', Base)
  .factory('activeAngularResource', generator)


export default activeAngular.name